
Foreman - Refactor #4329

refactor with_taxonomy_scope to optimize SQL 

02/12/2014 04:25 PM - Joseph Magen

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1123965 Red Hat JIRA:  

Pull request:    

Description

per Marek's comment on PR 1105

so we find all records within specific location, the find the same for specific organization and then combine these ids which we use in

third query? sounds like work for SQL instead of ruby? I understand it's not that easy using ancestry but this does not feel right to me,

what do others think?

History

#1 - 02/14/2014 02:42 PM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 02/17/2014 11:35 AM - Dominic Cleal

and remove the explicit reference to the User class.

#3 - 07/28/2014 02:17 PM - Eric Helms

- Bugzilla link set to 1123965

#4 - 05/14/2015 05:05 AM - Marek Hulán

- Description updated

Powered by TCPDF (www.tcpdf.org)

05/19/2024 1/1

https://github.com/theforeman/foreman/pull/1105#discussion_r9533857
http://www.tcpdf.org

